com.amazon.redshift.ssl

## Class DbKeyStoreSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - com.amazon.redshift.ssl.WrappedFactory
      - - com.amazon.redshift.ssl.DbKeyStoreSocketFactory

    public abstract class DbKeyStoreSocketFactory
    extends WrappedFactory

### Nested Class Summary

Nested Classes
`static class` `DbKeyStoreSocketFactory.DbKeyStoreSocketException`

### Field Summary

### Fields inherited from class com.amazon.redshift.ssl.WrappedFactory

`factory`

### Constructor Summary

Constructors
Constructor and Description
`DbKeyStoreSocketFactory()`

### Method Summary

Methods
`abstract char[]` `getKeyStorePassword()`
`abstract InputStream` `getKeyStoreStream()`

### Methods inherited from class com.amazon.redshift.ssl.WrappedFactory

`createSocket, createSocket, createSocket, createSocket, createSocket, getDefaultCipherSuites, getSupportedCipherSuites`

### Methods inherited from class javax.net.ssl.SSLSocketFactory

`getDefault`

### Methods inherited from class javax.net.SocketFactory

`createSocket`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DbKeyStoreSocketFactory

    public DbKeyStoreSocketFactory()
                            throws DbKeyStoreSocketFactory.DbKeyStoreSocketException

Throws:
  `DbKeyStoreSocketFactory.DbKeyStoreSocketException`

### Method Detail

#### getKeyStorePassword

    public abstract char[] getKeyStorePassword()

#### getKeyStoreStream

    public abstract InputStream getKeyStoreStream()